# Exception::getFile

(PHP 5, PHP 7)

Exception::getFile — Gets the file in which the exception was created

### Description

final public Exception::getFile ( void ) : string

Get the name of the file in which the exception was created.

### Parameters

This function has no parameters.

### Return Values

Returns the filename in which the exception was created.

### Examples

Example #1 Exception::getFile() example

`<?php
try {
throw new Exception;
} catch(Exception $e) {
echo $e->getFile();
}
?>`

The above example will output something similar to:

    /home/bjori/tmp/ex.php

### See Also

- Throwable::getFile() - Gets the file in which the object was created